import ToastVue from './src/toast'

const Toast = {}

Toast.install = function (Vue, option) {
  const ToastInstance = Vue.extend(ToastVue)

  let curContent

  const initInstance = () => {
    curContent = new ToastInstance()
    const toastEl = curContent.$mount().$el
    document.body.appendChild(toastEl)
  }

  Vue.prototype.$toast = {
    success (text, duration = 1500) {
      if (!curContent) {
        initInstance()
      }
      curContent.text = text
      curContent.type = 'success'
      curContent.imgSource = 'https://panda.school365.org.cn/emoji/interaction/toast_success.gif'
      setTimeout(() => {
        curContent.$destroy()
        document.body.removeChild(curContent.$el)
        curContent = null
      }, duration)
    }
  }
}

export default Toast
